# Vcore3 500^3

## HW Config
#####
- 1x [Duet 3 6HC](https://www.123-3d.nl/Duet3D-Duet-3-Mainboard-6HC-v1-0-origineel-Duet-3-MB6HC-v1-00-i4602.html)
##### Display
- 1x [Duet panel Due](https://www.123-3d.nl/Duet3D-PanelDue-met-7-v1-0-display-kabel-PanelDue-7i-v1-0-i3018-t14808.html)
##### SBC
- 1x [PI 4 2GB](https://www.123-3d.nl/RaspberryPi-Raspberry-Pi-4-model-B-2-GB-i4908-t16066.html)

##### Power supply
- 1x Meanwell 400W 24v

##### Steppers
- 3x z [0.9 nema 17](https://www.123-3d.nl/123-3D-NEMA17-stappenmotor-0-9-graden-per-stap-48-mm-lang-4-2-kg-cm-SL42S248MA108-0524-i3420-t14804.html) 
- 1x x 0.9 nema 17
- 1x y 0.9 nema 17
- 1x extruder [0.9 nema 17 pancake](https://www.ratrig.com/nema-17-stepper-motor-slimline.html)

##### Carriage
- 1x [Eva 2.0](https://main.eva-3d.page/)

##### HotEnd
- 1x [E3D V6](https://www.123-3d.nl/E3D-v6-hotend-complete-kit-1-75-mm-24V-thermistor-cartridge-origineel-i2184-t13151.html)
- 1x [Bondtech BMG Extruder](https://www.123-3d.nl/Bondtech-BMG-Extruder-EXT-BMG-i3776-t15696.html)
##### Lighting
- 1x [SSR 40A DC-DC](https://www.la3d.ch/e-shop/relais-ssr-creality-3d-cr-10s-pro/))
- 2x [Led strips 24v 50cm](https://www.amazon.nl)

Note: The usage of the SSR allows more lighting to be added without worries for curruent usage on the board.
 
##### Fans
- 1x [STD ratrig layer fan 24v](https://www.ratrig.com/fan-50mm-blower-type-24v-dc.html)
- 1x [STD ratrig tool fan 24v](https://www.ratrig.com/3d-printing-cnc/3d-printer-kits/accessories/fan-40mm-brushless-24v-dc.html)

##### Bed heater

##### Bed calibration tool
- 1x [Bltouch 3.1](https://www.123-3d.nl/Antclabs-BLTouch-Auto-Bed-Leveling-Sensor-v3-1-BLTOUCH-i3640-t16885.html)

##### Endstops
- 2x [Ratrig std end stops](https://www.ratrig.com)

##### Bed
- 1x [C-Lin SSR](https://www.ratrig.com/hardware2/electronics/clin-ssr-40a-relay.html)
- 1x [Keenovo heating element](https://www.ratrig.com/hardware2/electronics/heater-bed-pad-keenovo-500-x-500mm-220v-1600w.html)

##### Filament sensor
1x [Duet 3d - laser sensor](https://www.123-3d.nl/Duet3D-Laser-Filament-Monitor-LaserFilamentMonitor-i3121-t14808.html)

### Software
#### Base intall
[Duet light](https://pkg.duet3d.com/DuetPi-lite.zip) - Config [link](https://duet3d.dozuki.com/Wiki/SBC_Setup_for_Duet_3)
#### Git config && software deployment
```
apt-get update && apt-get upgrade && apt-get install git
mv /opt/dsf/sd/sys /opt/dsf/sd/sys.ori
cd /opt ; git clone https://g.lgeex.com/pedro/duet_vcore3.git
mv /opt/dsf/sd/macros /opt/dsf/sd/macros.ori
chown -R dsf:dsf /opt/duet_vcore3
chmod -R g+s /opt/duet_vcore3 
setfacl -R -d -m u::rwx /opt/duet_vcore3
ln -s /opt/duet_vcore3 /opt/dsf/sd/sys
ln -s /opt/duet_vcore3/macros /opt/dsf/sd/macros
```

### Duet 3 6HC - Pins

#### IO
Used IO pin headers
* io_0 - display
* io_1 - y endstop
* io_2 - x endstop
* io_7 - bltouch

#### Stepper motors
All steppers are 0.9º

* z left - driver0 - motion backwards (looking from the back of the printer)
* z rear - driver1 - motion backwards
* z right - driver2 - motion backwards
* top right motor - driver3 - Y - motion forwards (looking from the back of the printer)
* top left motor - driver4 - X  - motion forwards 
* extruder motor - driver5  - motion forwards

#### Outputs
##### Heating elements (24v)
Heating elements in use:
* out1 - SSR Bed
* out2 - Hotend
##### Fans (24v)
Fans in use:
* out4 - layer fan
* out7 - hotend fan
##### Lighting
* out8 - dc ssr operated leds

#### Temperature probes
Thermal probes in use:
* temp0 - Bed thermistor
* temp1 - Hotend thermistor

## TODO
- Setup filament sensor

## Useful links
* [GCode library](https://duet3d.dozuki.com/Wiki/Gcode)
* [RatRig vcore3 docs](https://ratrig.dozuki.com/c/Rat_Rig_V-Core_3)
